#include <stdio.h>
#include <stdlib.h>

/* Variables */
FILE *fichero;


/* Prototipos */
void Abrir(char *s);
void Ordenados(void);

/***************************************************************************/
/* Funcin que abre un fichero de alto nivel 			           */
/***************************************************************************/
void Abrir(char *s) {

  fichero = fopen(s, "r");
  if (fichero == NULL) {
    printf("\nERROR, el fichero %s no se ha podido abrir.", s);
    exit(1);
  }
}

/***************************************************************************/
void Ordenados(void) {
float anterior = 0,
      actual,
      basura;
unsigned short int error = 0;

  while ((!feof(fichero)) && (!error)) {
    fscanf(fichero, "%f %f\n", &actual, &basura);
    if (actual < anterior)
      error = 1;
    anterior = actual;
  }
  if (error)
    printf("\nERROR, en el dato %f", anterior);
  else
    printf("\nFichero ordenado correctamente");
}

/***************************************************************************/
int main(int argc, char *argv[]) {

  if (argc != 2){
    printf("\nERROR, forma de uso: orden archivo a verificar");
    exit(1);
  }
  Abrir(argv[1]);
  Ordenados();
  fclose(fichero);
  return 0;
}
