#include <stdio.h>   /* scanf, printf, fopen, fprintf, fclose */
#include <stdlib.h>

/* variables */
FILE *fichero;		/* fichero de procesos */
long vector[24];
float llegada;
float duracion;
float tiempo;

/* Prototipos */
void Abrir(char *s);

/***************************************************************************/
void Abrir(char *s) {

  fichero = fopen(s, "r");
  if (fichero == NULL) {
    printf("\nERROR, el fichero %s no se ha podido abrir.", s);
    exit(1);
  }
}

/***************************************************************************/
int main(int argc, char *argv[]) {
register unsigned i;

  if (argc != 2){
    printf("\nERROR, forma de uso: verifica archivo de procesos");
    exit(1);
  }
  Abrir(argv[1]);

  printf("Tiempo: ");
  scanf("%f", &tiempo);
  llegada = 0;
  while ((!feof(fichero)) && (llegada < tiempo))
    fscanf(fichero,"%f %f\n", &llegada, &duracion);

  while (!feof(fichero)) {
    fscanf(fichero,"%f %f\n", &llegada, &duracion);
      if ((duracion > 0) && (duracion <= 4))
	vector[0]++;
      else {
	if ((duracion > 4) && (duracion <= 8))
	  vector[1]++;
	if ((duracion > 8) && (duracion <= 12))
	  vector[2]++;
	if ((duracion > 12) && (duracion <= 16))
	  vector[3]++;
	if ((duracion > 16) && (duracion <= 20))
	  vector[4]++;
	if ((duracion > 20) && (duracion <= 24))
	  vector[5]++;
	if ((duracion > 24) && (duracion <= 28))
	  vector[6]++;
	if ((duracion > 28) && (duracion <= 32))
	  vector[7]++;
	if ((duracion > 32) && (duracion <= 36))
	  vector[8]++;
	if ((duracion > 36) && (duracion <= 40))
	  vector[9]++;
	if ((duracion > 40) && (duracion <= 44))
	  vector[10]++;
	if ((duracion > 44) && (duracion <= 48))
	  vector[11]++;
	if ((duracion > 48) && (duracion <= 52))
	  vector[12]++;
	if ((duracion > 52) && (duracion <= 56))
	  vector[13]++;
	if ((duracion > 56) && (duracion <= 60))
	  vector[14]++;
	if ((duracion > 60) && (duracion <= 64))
	  vector[15]++;
	if ((duracion > 64) && (duracion <= 68))
	  vector[16]++;
	if ((duracion > 68) && (duracion <= 72))
	  vector[17]++;
	if ((duracion > 72) && (duracion <= 76))
	  vector[18]++;
	if ((duracion > 76) && (duracion <= 80))
	  vector[19]++;
	if ((duracion > 80) && (duracion <= 84))
	  vector[20]++;
	if ((duracion > 84) && (duracion <= 88))
	  vector[21]++;
	if ((duracion > 88) && (duracion <= 92))
	  vector[22]++;
	if ((duracion > 92) && (duracion <= 96))
	  vector[23]++;
      }
    
  }
  for (i = 0; i < 24; i++)
    printf("%ld ", vector[i]);

  fclose(fichero);
  return 0;
}
